# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class ExtensionManifest

    java.lang.Object
      com.google.gdata.data.ExtensionManifest

    public class ExtensionManifest

extends java.lang.Object

The ExtensionManifest class is a helper class used to maintain a relationship between an `ExtensionPoint` type set of expected extensions with it, as described by a map of namespace URI/local name pairs to `ExtensionDescription` instances. ExtensionManifest instances are created by the `ExtensionProfile` declaration APIs and used during parsing by `ExtensionPoint` instances to to find the description of extension elements found in the parse stream.

Method Summary
`java.util.Map<com.google.gdata.util.common.base.Pair<java.lang.String,java.lang.String>,ExtensionDescription>` `getSupportedExtensions()` Returns the Map from namespace/localname String pairs to supporting Extension class and manifest information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSupportedExtensions

    public java.util.Map<com.google.gdata.util.common.base.Pair<java.lang.String,java.lang.String>,ExtensionDescription> getSupportedExtensions()

  Returns the Map from namespace/localname String pairs to supporting Extension class and manifest information.